{ config, flake, ... }:
let
  widgetsPath = ./widgets;
  widgets = {
    jellyfin = import (widgetsPath + /jellyfin) { inherit config flake; };
    steam = import (widgetsPath + /steam);
    podcasts = import (widgetsPath + /podcasts.nix);
    calendar = import (widgetsPath + /calendar.nix);
    clock = import (widgetsPath + /clock.nix);
    weather = import (widgetsPath + /weather.nix);
    reddit = import (widgetsPath + /reddit.nix);
    videos = import (widgetsPath + /videos.nix);
  };
in
[
  {
    columns = [
      {
        size = "full";
        widgets = [
          {
            type = "group";
            widgets = [
              widgets.podcasts
              widgets.videos
            ];
          }
          widgets.reddit
        ];
      }
      {
        size = "small";
        widgets = [
          # widgets.jellyfin
          widgets.steam
        ];
      }
      {
        size = "small";
        widgets = [
          widgets.calendar
          widgets.weather
          widgets.clock
        ];
      }
    ];
    name = "Dashboard";
  }
]
